Bug 443620 - F9 Icecast cannot access web admin page
F9 Icecast cannot access web admin page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icecast (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 11:46 EDT by Gerald Cox
Modified: 2009-10-23 19:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.3.2-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:50:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2008-04-22 11:46:25 EDT
Description of problem:

Web interface not accessible.  When accessing, receive a blank page.  No error
messages.  


Version-Release number of selected component (if applicable):
icecast-2.3.1-5.fc9.x86_64

How reproducible:
Try to access admin web page


Steps to Reproduce:
1.  yum install icecast
2.  ensure icecast service started
3.  open web browser
4.  http://localhost:8000
  
Actual results:
Blank page, no messages


Expected results:
Receive icecast web interface page


Additional info:
Streaming doesn't work either.  Using default install.
Used instructions for Fedora 6 published here:
http://news.softpedia.com/news/Streaming-Audio-Using-MPD-and-Icecast-52181.shtml
Used repository RPMs, and the configuration setting changes were extremely
minor, with none apparently required for icecast, at least just to get this up
and running.  F9 Firewall and SELINUX have been disabled, so that shouldn't be
an issue.
Comment 1 Bug Zapper 2008-05-14 05:57:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 William Mount 2008-05-17 22:42:31 EDT
I've had the same problem with icecast.  Icecast is running and responding, but
according to netstat -a, it's listening on a 55000 range port number.  It would
appear that icecast isn't honoring bind address and bind port information set in
/etc/icecast.xml
Comment 3 Ian Weller 2008-05-18 22:37:04 EDT
Gerald, the reason why you are seeing a blank page at http://localhost:8000 is
because that port is actually being used for nasd. The ports conflict.

However changing the port has successful effect, as William's comment shows.
Comment 4 Lucian Langa 2008-05-28 05:46:00 EDT
Changing the port in /etc/icecast.xml has no effect.
Icecast listens on a totally random port, every time it is restarted

ps ax|grep icecast
 8642 pts/3    Sl     0:00 /usr/bin/icecast -b -c /etc/icecast.xml

netstat -npa|grep ice
tcp        0      0 0.0.0.0:42219               0.0.0.0:*                  
LISTEN      8642/icecast

ps a|grep icecast
 9071 pts/3    Sl     0:00 /usr/bin/icecast -b -c /etc/icecast.xml

netstat -npa|grep ice
tcp        0      0 0.0.0.0:50693               0.0.0.0:*                  
LISTEN      9071/icecast
Comment 5 Ian Weller 2008-05-28 12:48:36 EDT
I've got 3 reports of this problem, I'm going to go ahead and make this ASSIGNED
Comment 6 Jeff Moe (jebba) 2008-06-04 01:43:26 EDT
I confirm that icecast-2.3.1-5.fc9.i386.rpm binds to random ports and is  broken.

Thankfully THERE IS A NEW ICECAST!  Version 2.3.2 was released June 2, 2008. The
previous release was from 2005.

I built 2.3.2 with minimal changes to the 2.3.1 specfile and it is binding to
the correct port now.

I suggest upgrading the package.

Thanks!  :)
Comment 7 Cristian Ciupitu 2008-08-04 06:59:35 EDT
I'm having the same problem with icecast-2.3.1-5.fc9.i386.rpm.

I've used strace and I've found this (for the default config which mentions port 8000 which is unused by other processes):

  bind(4, {sa_family=AF_INET, sin_port=htons(0), sin_addr=inet_addr("0.0.0.0")}, 16) = 0

We're not the only ones with this problem - see http://icecast.imux.net/viewtopic.php?t=5407.
Comment 8 Cristian Ciupitu 2008-08-04 08:04:30 EDT
(In reply to comment #6)
> I built 2.3.2 with minimal changes to the 2.3.1 specfile and it is binding to
> the correct port now.

Yeap, good idea. The only thing that needs to be changed is to remove the curl patch since it's not needed anymore (correct me if I'm wrong).
Thanks!
Comment 9 Jeff Moe (jebba) 2008-08-18 18:13:54 EDT
this is teh ping
Comment 10 Bug Zapper 2009-06-09 20:22:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 12:50:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Fedora Update System 2009-10-22 11:02:01 EDT
icecast-2.3.2-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/icecast-2.3.2-4.el5
Comment 13 Fedora Update System 2009-10-23 19:20:25 EDT
icecast-2.3.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.